module AnchorUi
  module Sprockets
    module Assets
      class << self

        def all
          Base.descendants.select do |klass|
            klass.descendants.none?
          end
        end

        def find(name)
          all.find do |klass|
            klass.asset_name == name
          end
        end

      end
    end
  end
end
