module AnchorUi
  module Sprockets
    module Assets
      class Base < AnchorUi::Core::Assets::Base
        include Paths

        delegate :asset_name, to: :class

        private

        def root_path
          @tmp_path || begin
            Pathname.new File.expand_path("#{__dir__}/../../../..")
          end
        end

        def assets_path
          root_path.join 'assets'
        end

      end
    end
  end
end
