module AnchorUi
  module Sprockets
    module Assets
      class Core < Javascript

        def self.asset_name
          'core'
        end

        def update
          super
          download map_url, map_destination_path
        end

        private

        def base_url
          "https://raw.github.com/zloirock/core-js/v#{version}/client"
        end

      end
    end
  end
end
