module AnchorUi
  module Sprockets
    module Assets
      class CustomTooltips < Javascript

        def self.asset_name
          'custom-tooltips'
        end

        def update
          super
          download map_url, map_destination_path
        end

        private

        def base_url
          "https://raw.github.com/coreui/coreui-plugin-chartjs-custom-tooltips/v#{version}/dist/js"
        end

      end
    end
  end
end
